#!/bin/sh
error_(){
	echo "$1"
	exit 1
}
[ -z $1 ] && error_ "git repo belirtiniz!"
_repo=$1
[ ! -d $_repo ] && error_ "Repo dizin yok!"
[ ! -d $_repo/.git ] && error_ "Repo dizini Git reposu değil!"
cd $_repo
echo "kullanım: git clone git://ip:9418/ repom"
git daemon --verbose --export-all --base-path=.git --reuseaddr --strict-paths .git/
